*** a/src/backend/access/common/heaptuple.c
--- b/src/backend/access/common/heaptuple.c
***************
*** 871,877 **** heap_modifytuple(HeapTuple tuple,
   *		the inverse of heap_form_tuple.
   *
   *		Storage for the values/isnull arrays is provided by the caller;
!  *		it should be sized according to tupleDesc->natts not tuple->t_natts.
   *
   *		Note that for pass-by-reference datatypes, the pointer placed
   *		in the Datum will point into the given tuple.
--- 871,878 ----
   *		the inverse of heap_form_tuple.
   *
   *		Storage for the values/isnull arrays is provided by the caller;
!  *		it should be sized according to tupleDesc->natts not
!  *		HeapTupleHeaderGetNatts(tuple->t_data).
   *
   *		Note that for pass-by-reference datatypes, the pointer placed
   *		in the Datum will point into the given tuple.
***************
*** 978,984 **** heap_deform_tuple(HeapTuple tuple, TupleDesc tupleDesc,
   *		the inverse of heap_formtuple.
   *
   *		Storage for the values/nulls arrays is provided by the caller;
!  *		it should be sized according to tupleDesc->natts not tuple->t_natts.
   *
   *		Note that for pass-by-reference datatypes, the pointer placed
   *		in the Datum will point into the given tuple.
--- 979,986 ----
   *		the inverse of heap_formtuple.
   *
   *		Storage for the values/nulls arrays is provided by the caller;
!  *		it should be sized according to tupleDesc->natts not
!  *		HeapTupleHeaderGetNatts(tuple->t_data).
   *
   *		Note that for pass-by-reference datatypes, the pointer placed
   *		in the Datum will point into the given tuple.
